import { useEquipmentTypeStore } from "@/stores/admin/unit/equipmentType/equipmentType";
import { useEquipmentTypeInspectionPlanStore } from "@/stores/admin/unit/equipmentType/inspectionPlan";

export async function setEquipmentTypeId(to: any, from: any, next: any) {
  const equipmentTypeStore = useEquipmentTypeStore();
  equipmentTypeStore.activeEquipmentType = to.params?.equipmentTypeId ?? null;

  useEquipmentTypeInspectionPlanStore().$reset();

  next();
}

export async function resetEquipmentTypeStores(to: any, from: any, next: any) {
  const equipmentTypeStore = useEquipmentTypeStore();
  equipmentTypeStore.activeEquipmentType = null;
  equipmentTypeStore.activeEquipmentTypeObj = null;

  useEquipmentTypeInspectionPlanStore().$reset();

  next();
}
