import type { VehicleTypeViewModel } from "./vehicleType.models";

export interface VehicleViewModel {
  id: string;
  code?: string;
  name: string;
  location: string;
  commissioned: Date;
  decommissioned?: Date;
  vehicleTypeId: string;
  vehicleType: VehicleTypeViewModel;
}

export interface CreateVehicleViewModel {
  code?: string;
  name: string;
  location: string;
  commissioned: Date;
  vehicleTypeId: string;
}

export interface UpdateVehicleViewModel {
  id: string;
  code?: string;
  name: string;
  location: string;
  commissioned: Date;
  decommissioned?: Date;
}
